Index: trunk/external-alma/components/SpectralComponents/SpectralEstimate.h
===================================================================
--- trunk/external-alma/components/SpectralComponents/SpectralEstimate.h	(revision 2980)
+++ trunk/external-alma/components/SpectralComponents/SpectralEstimate.h	(revision 3106)
@@ -18,5 +18,5 @@
 //#
 //# Correspondence concerning AIPS++ should be addressed as follows:
-//#        Internet email: aips2-request@nrao.edu.
+//#        casacore::Internet email: aips2-request@nrao.edu.
 //#        Postal address: AIPS++ Project Office
 //#                        National Radio Astronomy Observatory
@@ -34,9 +34,12 @@
 #include <components/SpectralComponents/SpectralList.h>
 
+namespace casacore {
+    template <class T> class Vector;
+}
+
 namespace casa { //# NAMESPACE CASA - BEGIN
 
 //# Forward Declarations
 class GaussianSpectralElement;
-template <class T> class Vector;
 
 // <summary>
@@ -97,5 +100,5 @@
   //# Constants
   // Default maximum number of components to be found
-  static const uInt MAXPAR = 200;
+  static const casacore::uInt MAXPAR = 200;
   //# Enumerations
   //# Friends
@@ -106,5 +109,5 @@
   // of components that will be found. A value of zero will indicate
   // an unlimited number.
-  explicit SpectralEstimate(const uInt maxpar=MAXPAR);
+  explicit SpectralEstimate(const casacore::uInt maxpar=MAXPAR);
   // Create an estimator with the given maximum number of possible
   // elements. A value of zero will indicate an unlimited number.
@@ -112,7 +115,7 @@
   // found, and a minimum width. Cutoff and minsigma default to 0.0, maximum
   // size of list produced to 200.
-  explicit SpectralEstimate(const Double rms,
-			    const Double cutoff=0.0, const Double minsigma=0.0,
-			    const uInt maxpar=MAXPAR);
+  explicit SpectralEstimate(const casacore::Double rms,
+			    const casacore::Double cutoff=0.0, const casacore::Double minsigma=0.0,
+			    const casacore::uInt maxpar=MAXPAR);
   // Copy constructor (deep copy)
   SpectralEstimate(const SpectralEstimate &other);
@@ -138,9 +141,9 @@
   // <group>
   template <class MT>
-    const SpectralList& estimate(const Vector<MT>& ordinate,
-				 Vector<MT> *der = 0);
-  template <class MT>
-    const SpectralList& estimate(const Vector<MT>& abcissa,
-                                 const Vector<MT>& ordinate);
+    const SpectralList& estimate(const casacore::Vector<MT>& ordinate,
+				 casacore::Vector<MT> *der = 0);
+  template <class MT>
+    const SpectralList& estimate(const casacore::Vector<MT>& abcissa,
+                                 const casacore::Vector<MT>& ordinate);
   // </group>
 
@@ -151,20 +154,20 @@
   // <group>
   // Set the profile's estimated rms (forced to abs(rms))
-  void setRMS(const Double rms=0.0);
+  void setRMS(const casacore::Double rms=0.0);
   // Set the amplitude cutoff for valid estimate (forced to max(0,cutoff))
-  void setCutoff(const Double cutoff=0.0);
+  void setCutoff(const casacore::Double cutoff=0.0);
   // Set the minimum width allowed (forced to max(0,minsigma))
-  void setMinSigma(const Double minsigma=0.0);
+  void setMinSigma(const casacore::Double minsigma=0.0);
   // Set the number of points consider at each side of test point (i.e. a
   // width of 2q+1 is taken). Default internally is 2; max(1,q) taken.
-  void setQ(const uInt q=2);
+  void setQ(const casacore::uInt q=2);
   // Set a region [lo,hi] over which to estimate. Lo and hi are given as
   // zero-based vector indices.
-  void setRegion(const Int lo, const Int hi);
+  void setRegion(const casacore::Int lo, const casacore::Int hi);
   // Do you want to look in an automatically determined window with signal?
   // Default is False, meaning the full (possibly regioned) profile.
   void setWindowing(const Bool win=False);
   // Set the maximum number of estimates to find (forced to >=1; 200 default)
-  void setMaxN(const uInt maxpar=MAXPAR);
+  void setMaxN(const casacore::uInt maxpar=MAXPAR);
   // </group>
 
@@ -174,46 +177,46 @@
   Bool useWindow_p;
   // rms estimate in profile
-  Double rms_p;
+  casacore::Double rms_p;
   // Source cutoff amplitude
-  Double cutoff_p;
+  casacore::Double cutoff_p;
   // Window low and end value
   // <group>
-  Int windowLow_p;
-  Int windowEnd_p;
+  casacore::Int windowLow_p;
+  casacore::Int windowEnd_p;
   // </group>
   // Region low and high value
   // <group>
-  Int regionLow_p;
-  Int regionEnd_p;
+  casacore::Int regionLow_p;
+  casacore::Int regionEnd_p;
   // </group>
   // Smoothing parameter. I.e. 2q+1 points are taken
-  Int q_p;
-  // Internal cashing of calculated values based on q
-  // <group>
-  Double a_p;
-  Double b_p;
+  casacore::Int q_p;
+  // casacore::Internal cashing of calculated values based on q
+  // <group>
+  casacore::Double a_p;
+  casacore::Double b_p;
   // </group>
   // The minimum Gaussian width
-  Double sigmin_p;
+  casacore::Double sigmin_p;
   // The second derivatives
-  Double *deriv_p;
+  casacore::Double *deriv_p;
   // The list of components
   SpectralList slist_p;
   // The length of the current profile being estimated
-  uInt lprof_p;
+  casacore::uInt lprof_p;
 
   //# Member functions
   // Get the window or the total spectrum
   template <class MT>
-    uInt window(const Vector<MT> &prof);
+    casacore::uInt window(const casacore::Vector<MT> &prof);
   // Get the second derivatives
   template <class MT>
-    void findc2(const Vector<MT> &prof);
+    void findc2(const casacore::Vector<MT> &prof);
   // Find the Gaussians
   template <class MT>
-    void findga(const Vector<MT> &prof);
+    void findga(const casacore::Vector<MT> &prof);
   // Convert the parameters of the components in the list from 
   // pixel-based indices to the given abcissa-vector space.
-  template <class MT> GaussianSpectralElement convertElement (const Vector<MT>& abcissa,
+  template <class MT> GaussianSpectralElement convertElement (const casacore::Vector<MT>& abcissa,
                                                       const GaussianSpectralElement& el) const;
 };
